import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { User } from './models/user';
import { environment } from '../environments/environment';
import { Router } from '@angular/router';

@Injectable({
  providedIn: 'root'
})
export class AuthService {

  constructor(private http:HttpClient, private router:Router) { }

  login(user:User): any
  {
    return this.http.post<User>(`${environment.apiEvents}/auth/login`, user)
  }

  register(user:User) : Observable<any>
  {
    return this.http.post(`${environment.apiEvents}/auth/register`, user )
  }

  logOut(){
    localStorage.removeItem('token');
    this.router.navigate(['/events'])
  }

  getToken(){
    return localStorage.getItem('token');
  }

  isloggedIn(){
    return !!localStorage.getItem('token');
  }
}
