import { Component, OnInit } from '@angular/core';
import { Event } from '../models/event';
import { ApiService } from '../api.service';
import { HttpErrorResponse } from '@angular/common/http';
import { Router } from '@angular/router';

@Component({
  selector: 'app-special-events',
  templateUrl: './special-events.component.html',
  styleUrls: ['./special-events.component.css']
})
export class SpecialEventsComponent implements OnInit {

  constructor(private api:ApiService, private router:Router) { }
  events:Event[]
  ngOnInit(): void {
    this.api.getSpecialEvents().subscribe(
      res => this.events = res,
      err => {
        if(err instanceof HttpErrorResponse){
          if(err.status == 401){
            this.router.navigate(['/login']);
          }
        }
      }
    );
  }

}
