import { Inject, Injectable, Injector } from '@angular/core';
import { HttpRequest, HttpHandler,HttpEvent, HttpInterceptor,} from '@angular/common/http';
import { Observable } from 'rxjs';
import { AuthService } from './auth.service';

@Injectable()
export class TokenInterceptor implements HttpInterceptor {

  constructor(private injector:Injector) { }

  intercept(req, next)
   {
    let authService = this.injector.get(AuthService);
    let tokenReq = req.clone(
      {
        headers: req.headers.set('Authorization', 'bearer ' + authService.getToken())
      }
    )
    return next.handle(tokenReq);
  }
}
